std::__detail::_Local_iterator_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, true > Struct Template Reference
Containers » Unordered Associative » Base and Implementation Classes

`#include <hashtable_policy.h>`

Inheritance diagram for std::__detail::_Local_iterator_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, true >:
[legend]

## Public Member Functions

const void * | _M_curr () const
std::size_t | _M_get_bucket () const

## Protected Types

using | __base_type = _Hashtable_ebo_helper< 0, _H2 >
using | __hash_code_base = _Hash_code_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, true >

## Protected Member Functions

| _Local_iterator_base (const __hash_code_base &__base, _Hash_node< _Value, true > *__p, std::size_t __bkt, std::size_t __bkt_count)
void | _M_incr ()

## Protected Attributes

std::size_t | _M_bucket
std::size_t | _M_bucket_count
_Hash_node< _Value, true > * | _M_cur

## Detailed Description

template<typename _Key, typename _Value, typename _ExtractKey, typename _H1, typename _H2, typename _Hash>
struct std::__detail::_Local_iterator_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, true >

Partial specialization used when nodes contain a cached hash code.

Definition at line 1468 of file hashtable_policy.h.

## Member Typedef Documentation

## __base_type

template<typename _Key , typename _Value , typename _ExtractKey , typename _H1 , typename _H2 , typename _Hash >

using std::__detail::_Local_iterator_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, true >::__base_type = _Hashtable_ebo_helper<0, _H2>

protected

Definition at line 1473 of file hashtable_policy.h.

## __hash_code_base

template<typename _Key , typename _Value , typename _ExtractKey , typename _H1 , typename _H2 , typename _Hash >

using std::__detail::_Local_iterator_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, true >::__hash_code_base = _Hash_code_base<_Key, _Value, _ExtractKey, _H1, _H2, _Hash, true>

protected

Definition at line 1474 of file hashtable_policy.h.

## Constructor & Destructor Documentation

## _Local_iterator_base()

template<typename _Key , typename _Value , typename _ExtractKey , typename _H1 , typename _H2 , typename _Hash >

std::__detail::_Local_iterator_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, true >::_Local_iterator_base | ( | const __hash_code_base & | __base,
|  | _Hash_node< _Value, true > * | __p,
|  | std::size_t | __bkt,
|  | std::size_t | __bkt_count
| ) |  |

inline protected

Definition at line 1478 of file hashtable_policy.h.

## Member Function Documentation

## _M_curr()

template<typename _Key , typename _Value , typename _ExtractKey , typename _H1 , typename _H2 , typename _Hash >

const void * std::__detail::_Local_iterator_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, true >::_M_curr | ( |  | ) | const

inline

Definition at line 1504 of file hashtable_policy.h.

## _M_get_bucket()

template<typename _Key , typename _Value , typename _ExtractKey , typename _H1 , typename _H2 , typename _Hash >

std::size_t std::__detail::_Local_iterator_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, true >::_M_get_bucket | ( |  | ) | const

inline

Definition at line 1507 of file hashtable_policy.h.

## _M_incr()

template<typename _Key , typename _Value , typename _ExtractKey , typename _H1 , typename _H2 , typename _Hash >

void std::__detail::_Local_iterator_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, true >::_M_incr | ( |  | ) |

inline protected

Definition at line 1485 of file hashtable_policy.h.

## Member Data Documentation

## _M_bucket

template<typename _Key , typename _Value , typename _ExtractKey , typename _H1 , typename _H2 , typename _Hash >

std::size_t std::__detail::_Local_iterator_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, true >::_M_bucket

protected

Definition at line 1499 of file hashtable_policy.h.

## _M_bucket_count

template<typename _Key , typename _Value , typename _ExtractKey , typename _H1 , typename _H2 , typename _Hash >

std::size_t std::__detail::_Local_iterator_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, true >::_M_bucket_count

protected

Definition at line 1500 of file hashtable_policy.h.

## _M_cur

template<typename _Key , typename _Value , typename _ExtractKey , typename _H1 , typename _H2 , typename _Hash >

_Hash_node<_Value, true>* std::__detail::_Local_iterator_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, true >::_M_cur

protected

Definition at line 1498 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h